Hexagon: removing support for Hexagon-v2 and Hexagon-v3

I wanted to give everybody a heads-up on upcoming commits for the Hexagon backend. We will be removing support for older versions of the Hexagon architecture - specifically Hexagon-v2 and Hexagon-v3. These are no longer being used by compiler users. Matthew Curtis has committed the first clang patch to remove driver support for these versions. There will be follow-up patches on the LLVM side to remove instructions that are not used by newer versions of the architecture. After these changes, the compiler will support Hexagon-v4 and Hexagon-v5.

Matthew has committed a short blurb in the 3.3 release notes. We'll add the reasons behind the removal to that note.

Thanks
-Anshu

There are no customers of yours that use Hexagon-V2 or Hexagon-V3 ??

There are no customers of yours that use Hexagon-V2 or Hexagon-V3 ??

For newer versions of the compiler, there won't be any users of v2 and v3.

-Anshu